﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Core.Controller;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(FarmingSkill), 5)]
    public partial class CompostingGreensRecipe : RecipeFamily
    {
        public CompostingGreensRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CompostingGreens",  //noloc
                Localizer.DoStr("Composting Greens"),
                new List<IngredientElement>
                {
                    new IngredientElement("Greens", 8, typeof(FarmingSkill), typeof(FarmingLavishResourcesTalent)), //noloc
                    new IngredientElement("NaturalFiber", 10, typeof(FarmingSkill), typeof(FarmingLavishResourcesTalent)), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CompostItem>(3),
                });
            this.Recipes = new List<Recipe> { recipe };
            this.LaborInCalories = CreateLaborInCaloriesValue(25);
            this.CraftMinutes = CreateCraftTimeValue(GetType(), 45f, typeof(FarmingFocusedSpeedTalent), typeof(FarmingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Composting Greens"), typeof(CompostingGreensRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(ERCWoodenComposterObject), this);
            CraftingComponent.AddRecipe(typeof(ERCComposterObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}
